import Layout from "@/layout/index.vue";

//todo delete 删除动态路由页面的定义 接口会传递进来
// const ems = [
//   {
//     path: '',
//     component: Layout,
//     redirect: 'noRedirect',
//     children: [
//       {
//         path: 'zddt',
//         component: () => import('@/views/ems/zddt/index'),
//         name: 'zddt',
//         meta: { title: '站点地图', icon: 'guide' }
//       }
//     ]
//   }
// ]
// export default ems

//单站监控
// todo 本地设置了 hidden:true,不会显示在侧边栏，需要在系统管理、菜单管理中手动添加菜单后才会展示在侧边栏
export const dzjk=[
  {
    path: '/dzjk',
    component: Layout,
    redirect: '/dzjk/home',
    meta: { title: '单站监控', icon: 'dashboard',},
    alwaysShow: false,
    name:'Dzjk',
    hidden:true,
    children: [
      {
        path: '',
        component: () => import('@/views/ems/dzjk/index'),
        name: 'Dzjk',
        redirect: '/dzjk/home',
        hidden: true,
        children: [
          {
            path: '/dzjk/home',
            component: () => import('@/views/ems/dzjk/home/index.vue'),
            name: 'DjzkHome',
            meta: { title: '首页',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DjzkHome' }
          },
          {
            path: '/dzjk/sbjk',
            component: () => import('@/views/ems/dzjk/sbjk/index.vue'),
            name: 'DjzkSbjk',
            meta: { title: '设备监控',breadcrumb: false,activeMenu: '/dzjk'},
            redirect: '/dzjk/sbjk/ssyx',
            children: [
              {
                path: 'ssyx',
                component: () => import('@/views/ems/dzjk/sbjk/ssyx/index.vue'),
                name: 'DjzkSbjkSsyx',
                meta: { title: '实时运行',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DjzkSbjk'},
              },
              {
                path: 'pcs',
                component: () => import('@/views/ems/dzjk/sbjk/pcs/index.vue'),
                name: 'DjzkSbjkPcs',
                meta: { title: 'Pcs',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DjzkSbjk'},
              },
              {
                path: 'bmszl',
                component: () => import('@/views/ems/dzjk/sbjk/bmszl/index.vue'),
                name: 'DjzkSbjkBmszl',
                meta: { title: 'BMS总览',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DjzkSbjk'},
              },
              {
                path: 'bmsdcc',
                component: () => import('@/views/ems/dzjk/sbjk/bmsdcc/index.vue'),
                name: 'DjzkSbjkBmsdcc',
                meta: { title: 'BMS电池簇',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DjzkSbjk'},
              },
              {
                path: 'dtdc',
                component: () => import('@/views/ems/dzjk/sbjk/dtdc/index.vue'),
                name: 'DjzkSbjkDtdc',
                meta: { title: '单体电池',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DjzkSbjk'},
              },
              {
                path: 'db',
                component: () => import('@/views/ems/dzjk/sbjk/db/index.vue'),
                name: 'DjzkSbjkDb',
                meta: { title: '电表',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DjzkSbjk'},
              },
              {
                path: 'yl',
                component: () => import('@/views/ems/dzjk/sbjk/yl/index.vue'),
                name: 'DjzkSbjkYl',
                meta: { title: '液冷',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DjzkSbjk'},
              }
            ]
          },
          {
            path: '/dzjk/gzgj',
            component: () => import('@/views/ems/dzjk/gzgj/index.vue'),
            name: 'DjzkGzgj',
            meta: { title: '故障告警',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DjzkGzgj' }
          },
          {
            path: '/dzjk/tjbb',
            component: () => import('@/views/ems/dzjk/tjbb/index.vue'),
            name: 'DjzkTjbb',
            meta: {title: '统计报表', breadcrumb: false, activeMenu: '/dzjk'},
            redirect: '/dzjk/tjbb/gltj',
            children: [
              {
                path: 'gltj',
                component: () => import('@/views/ems/dzjk/tjbb/gltj/index.vue'),
                name: 'DjzkTjbbGltj',
                meta: { title: '概率统计',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DjzkTjbb'},
              }
            ]
          }
        ]
      }
    ]
  }
]



